| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoMDC.registers.mre2_registers.ResonantAmplitudeControl Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.ResonantAmplitudeControl:

## Public Member Functions
| __init__ (self, board=None)
| GetControlState (self)
| SetControlState (self, value)
| MeasureNaturalFreq (self)
| GetNaturalFreq (self)
| GetDriveFreq (self)
| SetDriveFreq (self, value)
| GetActualAmplitude (self)
| GetDesiredAmplitude (self)
| SetDesiredAmplitude (self, value)
| GetActualFOV (self)
| GetDesiredFOV (self)
| SetDesiredFOV (self, value)
| GetDriveCurrent (self)
| SetDriveCurrent (self, value)
| GetFreqShift (self)
| SetFreqShift (self, value)
| GetFreqDelta (self)
| SetFreqDelta (self, value)
| GetFreqTolerance (self)
| SetFreqTolerance (self, value)
| GetResonanceSlope (self)
| SetResonanceSlope (self, value)
| GetTimeWindow (self)
| SetTimeWindow (self, value)
| GetAveragingCycles (self)
| SetAveragingCycles (self, value)
| GetControlCycles (self)
| SetControlCycles (self, value)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| enable_control
| meas_natural_freq
| get_natural_freq
| drive_freq
| actual_amp
| desired_amp
| actual_fov
| desired_fov
| drive_current
| freq_shift
| freq_delta
| freq_tol
| res_slope
| time_window
| avg_cycles
| ctrl_cycles
| name

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    * Device Functionality - Resonant Axis Amplitude Control
    * System ID: 0x35
    *
    * ### Register Map:
    *
    *  Address | Name                             | Default          | Description                                                                   | Type        | Access
    *  --------|----------------------------------|------------------|-------------------------------------------------------------------------------|-------------|------------------
    *  0x3500  | Enable control                   | false or 0       | Enable control of resonant axis                                               | bool        | read write
    *  0x3501  | Force res. frequency measurement | N/A              | Reading triggers resonant frequency measurement  <br/>(Important for command timeout - procedure takes cca 300ms) | float       | read only
    *  0x3502  | Resonant (natural) frequency     | N/A              | Returns resonant frequency of the resonant axis based on startup measurement  | float       | read only
    *  0x3503  | Actual (driven) frequency        | N/A              | Actual driving frequency in Hz <br/>(not recommended to change when control is enabled)             | float       | read write
    *  0x3504  | Actual mechanical amplitude      | N/A              | Actual driving amplitude (angle) in degrees                                   | float       | read only
    *  0x3505  | Desired mechanical amplitude     | 2.5              | Desired driving amplitude (angle) in degrees                                  | float       | read write
    *  0x3506  | Actual field of view             | N/A              | Actual field of view (angle) in degrees                                       | float       | read only
    *  0x3507  | Desired field of view            | 10.0             | Desired field of view (angle) in degrees                                      | float       | read write
    *  0x3508  | Current driving resonant axe     | 0.07 or 0.12 **  | Driving current setting in A <br/>(not recommended to change default value; limited to 0.3A)        | float       | read write
    *  0x3509  | Frequency shift                  | 2.5              | Frequency shift for initial control loop (Hz)                                 | float       | read write
    *  0x350A  | Frequency delta coefficient      | 0.3              | Coefficient adjusting step in calculation of control frequency                | float       | read write
    *  0x350B  | Frequency tolerance              | 20               | Tolerance in % for limiting frequency control range                           | float       | read write
    *  0x350C  | Resonance slope                  | -0.5             | Slope of amplitude frequency characteristic (deg/Hz)                          | float       | read write
    *  0x350D  | Time window                      | 0.005            | Integration time for amplitude measurement in seconds                         | float       | read write
    *  0x350E  | Averaging cycles                 | 10               | Number of cycles for average measurement of amplitude (at frequency 10kHz)    | float       | read write
    *  0x350F  | Control cycles                   | 20               | Number of wait cycles before frequency control applies changes  <br/>(real timing = Time window * Averaging cycles * Control cycles)                             | float       | read write
    *
    *  Note 1 : Force res. frequency measurement takes cca 200ms, adjust communication timeouts accordingly
    *  Note 2 : Default driving current is set depending on type of resonant mirror
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetActualAmplitude()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetActualAmplitude | ( |  | self | ) |

## ◆ GetActualFOV()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetActualFOV | ( |  | self | ) |

## ◆ GetAveragingCycles()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetAveragingCycles | ( |  | self | ) |

## ◆ GetControlCycles()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetControlCycles | ( |  | self | ) |

## ◆ GetControlState()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetControlState | ( |  | self | ) |

## ◆ GetDesiredAmplitude()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetDesiredAmplitude | ( |  | self | ) |

## ◆ GetDesiredFOV()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetDesiredFOV | ( |  | self | ) |

## ◆ GetDriveCurrent()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetDriveCurrent | ( |  | self | ) |

## ◆ GetDriveFreq()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetDriveFreq | ( |  | self | ) |

## ◆ GetFreqDelta()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetFreqDelta | ( |  | self | ) |

## ◆ GetFreqShift()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetFreqShift | ( |  | self | ) |

## ◆ GetFreqTolerance()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetFreqTolerance | ( |  | self | ) |

## ◆ GetNaturalFreq()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetNaturalFreq | ( |  | self | ) |

## ◆ GetResonanceSlope()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetResonanceSlope | ( |  | self | ) |

## ◆ GetTimeWindow()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.GetTimeWindow | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.help | ( |  | ) |
| static

## ◆ MeasureNaturalFreq()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.MeasureNaturalFreq | ( |  | self | ) |

## ◆ SetAveragingCycles()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetAveragingCycles | ( |  | self,
|  |  | value )

## ◆ SetControlCycles()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetControlCycles | ( |  | self,
|  |  | value )

## ◆ SetControlState()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetControlState | ( |  | self,
|  |  | value )

## ◆ SetDesiredAmplitude()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetDesiredAmplitude | ( |  | self,
|  |  | value )

## ◆ SetDesiredFOV()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetDesiredFOV | ( |  | self,
|  |  | value )

## ◆ SetDriveCurrent()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetDriveCurrent | ( |  | self,
|  |  | value )

## ◆ SetDriveFreq()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetDriveFreq | ( |  | self,
|  |  | value )

## ◆ SetFreqDelta()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetFreqDelta | ( |  | self,
|  |  | value )

## ◆ SetFreqShift()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetFreqShift | ( |  | self,
|  |  | value )

## ◆ SetFreqTolerance()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetFreqTolerance | ( |  | self,
|  |  | value )

## ◆ SetResonanceSlope()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetResonanceSlope | ( |  | self,
|  |  | value )

## ◆ SetTimeWindow()

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.SetTimeWindow | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre2_registers.ResonantAmplitudeControl._is_a_system = False
| static protected

## ◆ actual_amp

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.actual_amp

## ◆ actual_fov

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.actual_fov

## ◆ avg_cycles

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.avg_cycles

## ◆ ctrl_cycles

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.ctrl_cycles

## ◆ desired_amp

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.desired_amp

## ◆ desired_fov

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.desired_fov

## ◆ drive_current

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.drive_current

## ◆ drive_freq

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.drive_freq

## ◆ enable_control

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.enable_control

## ◆ freq_delta

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.freq_delta

## ◆ freq_shift

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.freq_shift

## ◆ freq_tol

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.freq_tol

## ◆ get_natural_freq

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.get_natural_freq

## ◆ meas_natural_freq

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.meas_natural_freq

## ◆ name

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.name

## ◆ res_slope

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.res_slope

## ◆ sys_id

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.sys_id

## ◆ time_window

optoMDC.registers.mre2_registers.ResonantAmplitudeControl.time_window

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py